local GetCityBrokenInfoMessage = BaseClass("PushCityBrokenRewardMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  LuaEntry.Effect:SetBreachData(t)
end
GetCityBrokenInfoMessage.OnCreate = OnCreate
GetCityBrokenInfoMessage.HandleMessage = HandleMessage
return GetCityBrokenInfoMessage
